# Class RecordingAlertDto

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents a data transfer object used to convey information about a recording alert between application layers or services.

    public class RecordingAlertDto

Inheritance
  object
  RecordingAlertDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Location

    public PatientLocation? Location { get; set; }

#### Property Value

PatientLocation

### MessageTime

    public DateTime MessageTime { get; set; }

#### Property Value

DateTime

### PatientNumber

    public string? PatientNumber { get; set; }

#### Property Value

string

### RecordingAlerts

    public List<PatientRecordingAlert>? RecordingAlerts { get; set; }

#### Property Value

List<PatientRecordingAlert>

### RecordingData

    public RecordingData? RecordingData { get; set; }

#### Property Value

RecordingData

### WaitResult

    public bool WaitResult { get; set; }

#### Property Value

bool